Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update agent guidance

Edit a guidance pack — bumps version and snapshots the revision. Sessions dispatched afterwards pick up the new version; existing sessions keep the refs they recorded.

PATCH/workspaces/{organizationId}/agent/guidance/{id}
Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
namestring
min length 1
scopestring
Allowed:workspaceteamstatusstep
scopeKeystring | null
min length 1
bodystring
min length 1
linksobject[] | null
Show properties
Array of object
labelstring
urlstringrequired
Responses
200

Guidance pack updated

idstringrequired
organizationIdstringrequired
namestringrequired
scopestringrequired
Allowed:workspaceteamstatusstep
scopeKeystring | nullrequired
bodystringrequired
linksobject[] | nullrequired
Show properties
Array of object
labelstring
urlstringrequired
versionintegerrequired
createdBystring | nullrequired
updatedBystring | nullrequired
createdAtstringrequired
updatedAtstringrequired
404

Guidance pack not found

Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH '/workspaces/string/agent/guidance/string' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "scope": "workspace",
  "scopeKey": "string",
  "body": "string",
  "links": [
    {
      "label": "string",
      "url": "string"
    }
  ]
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "name": "string",
  "scope": "workspace",
  "scopeKey": "string",
  "body": "string",
  "links": [
    {
      "label": "string",
      "url": "string"
    }
  ],
  "version": 0,
  "createdBy": "string",
  "updatedBy": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?